Skip to main content
GET
FDA Calendar

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

announced_date_min
string

Minimum announced date (YYYY-MM-DD) A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

announced_date_max
string

Maximum announced date (YYYY-MM-DD) A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

target_date_min
string

Minimum target date (supports Q1-Q4, H1-H2, MID, LATE formats) FDA target date in one of the following formats:

  • YYYY-Q[1-4] (e.g. 2024-Q1)
  • YYYY-H[1-2] (e.g. 2024-H1)
  • YYYY-MID (e.g. 2024-MID)
  • YYYY-LATE (e.g. 2024-LATE)
  • YYYY-MM-DD
Pattern: ^\d{4}-(Q[1-4]|H[1-2]|MID|LATE|\d{2}-\d{2})$
Example:

"2024-Q1"

target_date_max
string

Maximum target date (supports Q1-Q4, H1-H2, MID, LATE formats) FDA target date in one of the following formats:

  • YYYY-Q[1-4] (e.g. 2024-Q1)
  • YYYY-H[1-2] (e.g. 2024-H1)
  • YYYY-MID (e.g. 2024-MID)
  • YYYY-LATE (e.g. 2024-LATE)
  • YYYY-MM-DD
Pattern: ^\d{4}-(Q[1-4]|H[1-2]|MID|LATE|\d{2}-\d{2})$
Example:

"2024-Q1"

drug
string

Filter by drug name (partial match) Drug name to filter FDA calendar entries (partial match supported)

Example:

"Keytruda"

ticker
string

Filter by ticker symbol A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.

Example:

"AAPL,INTC"

limit
integer
default:100

Maximum number of results to return. Defaults to 100. Values above 500 are clamped to 500.

Required range: 1 <= x <= 500

Response

FDA Calendar response

FDA calendar events with company information

drug
string
required

Name of the drug under FDA review

Example:

"Lifileucel"

end_date
string<date>
required

The end date of the FDA event

Example:

"2024-02-24T00:00:00.000Z"

start_date
string<date>
required

The start date of the FDA event

Example:

"2024-02-24T00:00:00.000Z"

status
string
required

The current status of the FDA application (e.g., NDA, BLA)

Example:

"NDA"

ticker
string
required

The ticker of the company applying for drug admission.

Example:

"IOVA"

catalyst
string

The type of FDA event (e.g., PDUFA Date, Advisory Committee Meeting)

Example:

"PDUFA Date"

description
string

Detailed description of the FDA event

Example:

"FDA decision for Lifileucel in advanced melanoma"

has_options
boolean | null

Whether the company has options available for trading

Example:

true

indication
string

The medical condition the drug is intended to treat

Example:

"Advanced Melanoma"

marketcap
string | null

The company's market capitalization in USD

Example:

"1000000000"

notes
string | null

Additional important notes about the FDA event

Example:

"Important milestone for the company's drug pipeline"

outcome
string | null

The outcome of the FDA event if already occurred

Example:

"Approved"

outcome_brief
string | null

Brief summary of the FDA event outcome

Example:

"Complete Response Letter received"

Link to the source of the FDA event information

Example:

"https://www.fda.gov/news-events/press-announcements/fda-example"

Last modified on September 29, 2026